

class DIE_LOCATIONS_ROW

feature -- Properties

	real_column_names: STRING = "  acct_pricing_class, acct_sponsor_id, acct_sub_type, acct_type,%N  ca.comments, country, ca.cust_acct_no, date_acct_created,%N  date_acct_delinquent, date_acct_expires, date_acct_on_hold,%N  date_reactivated, date_react_msg_sent, ca.discount_fraction, div_no,%N  document_access_grace_days, ic_prep_fraction, is_trf_ok,%N  payment_grace_days, redirected_cust_acct_no, terms_payment_days,%N  watermark_documents, design_name, acknowledgement_comment, ca_tax_rate,%N  created_by, cust_wo_comment, cust_wo_id, date_acknowledged,%N  date_approved_for_export, date_cust_wo, date_fax_recd, date_for_funding,%N  date_for_pricing, date_hardcopy_recd, date_verbal_recd,%N  cw.discount_fraction, has_bxa711, has_eccn, modified_by, m_cust_quote_no,%N  m_funding_alloc_no, m_order_no, pricing_schedule, production_id,%N  batch_job_no, d.cats_status, date_job_ended, date_job_started,%N  die_size_printed_x, die_size_printed_y, die_type, die_wafer_rotation,%N  error_explanation, filler_name, scribe_orientation,%N  d.wafer_vendor_part_id, dl.cats_status, dl.die_id, field_name,%N  location_x, location_y, mask_site_no, dl.run_id, dl.wafer_vendor_part_id,%N  description, g.design_lambda_um_sss, g.design_techn_id, external_files,%N  external_to_payload, geometry_filename, g.geometry_format, g.geometry_id,%N  required, size_x, size_y, top_structure_name, wafer_techn,%N  approved_funding_po_id, date_cust_report, date_fab_requested,%N  date_report_reminder_sent, design_die_rotation, ifi.design_no,%N  design_wafer_rotation_reqd, fill_allowed, ic_fab_instance_type,%N  intended_disposition, is_reworkable, max_allowed_die_size_x,%N  max_allowed_die_size_y, ifi.m_fab_no, net_address, overhead_style,%N  pending_for_run, phone_number, project_on_die, quantity_requested,%N  quantity_unpackaged_requested, queue_failure_reason_id,%N  reason_status_requested, routing_label, run_date_requested,%N  run_type_requested, submitted_funding_po_id, o.comments, full_name,%N  o.org_no, short_id, vendor, vendor_code, vendor_code_active,%N  wafer_vendor_constraint_code"

feature -- Values

	acct_pricing_class: STRING

	acct_sponsor_id: STRING

	acct_sub_type: STRING

	acct_type: STRING

	ca_comments: STRING

	country: STRING

	cust_acct_no: INTEGER

	date_acct_created: STRING

	date_acct_delinquent: STRING

	date_acct_expires: STRING

	date_acct_on_hold: STRING

	date_reactivated: STRING

	date_react_msg_sent: STRING

	ca_discount_fraction: DOUBLE

	div_no: INTEGER

	document_access_grace_days: INTEGER

	ic_prep_fraction: DOUBLE

	is_trf_ok: BOOLEAN

	payment_grace_days: INTEGER

	redirected_cust_acct_no: INTEGER

	terms_payment_days: INTEGER

	watermark_documents: BOOLEAN

	design_name: STRING

	acknowledgement_comment: STRING

	ca_tax_rate: DOUBLE

	created_by: STRING

	cust_wo_comment: STRING

	cust_wo_id: STRING

	date_acknowledged: STRING

	date_approved_for_export: STRING

	date_cust_wo: STRING

	date_fax_recd: STRING

	date_for_funding: STRING

	date_for_pricing: STRING

	date_hardcopy_recd: STRING

	date_verbal_recd: STRING

	cw_discount_fraction: DOUBLE

	has_bxa711: BOOLEAN

	has_eccn: BOOLEAN

	modified_by: STRING

	m_cust_quote_no: INTEGER

	m_funding_alloc_no: INTEGER

	m_order_no: INTEGER

	pricing_schedule: STRING

	production_id: STRING

	batch_job_no: INTEGER

	d_cats_status: STRING

	date_job_ended: STRING

	date_job_started: STRING

	die_size_printed_x: DOUBLE

	die_size_printed_y: DOUBLE

	die_type: STRING

	die_wafer_rotation: INTEGER

	error_explanation: STRING

	filler_name: STRING

	scribe_orientation: STRING

	d_wafer_vendor_part_id: STRING

	dl_cats_status: STRING

	die_id: STRING

	field_name: STRING

	location_x: DOUBLE

	location_y: DOUBLE

	mask_site_no: INTEGER

	run_id: STRING

	dl_wafer_vendor_part_id: STRING

	description: STRING

	design_lambda_um_sss: STRING
			-- Eiffel type specified explicitly

	design_techn_id: STRING

	external_files: BOOLEAN

	external_to_payload: BOOLEAN

	geometry_filename: STRING

	geometry_format: STRING

	geometry_id: STRING

	required: BOOLEAN

	size_x: DOUBLE

	size_y: DOUBLE

	top_structure_name: STRING

	wafer_techn: STRING

	approved_funding_po_id: STRING

	date_cust_report: STRING

	date_fab_requested: STRING

	date_report_reminder_sent: STRING

	design_die_rotation: INTEGER

	design_no: INTEGER

	design_wafer_rotation_reqd: INTEGER

	fill_allowed: BOOLEAN

	ic_fab_instance_type: STRING

	intended_disposition: STRING

	is_reworkable: BOOLEAN

	max_allowed_die_size_x: DOUBLE

	max_allowed_die_size_y: DOUBLE

	m_fab_no: INTEGER

	net_address: STRING

	overhead_style: STRING

	pending_for_run: BOOLEAN

	phone_number: STRING

	project_on_die: INTEGER

	quantity_requested: INTEGER

	quantity_unpackaged_requested: INTEGER

	queue_failure_reason_id: STRING

	reason_status_requested: STRING

	routing_label: STRING

	run_date_requested: STRING

	run_type_requested: STRING

	submitted_funding_po_id: STRING

	o_comments: STRING

	full_name: STRING

	org_no: INTEGER

	short_id: STRING

	vendor: BOOLEAN

	vendor_code: STRING

	vendor_code_active: BOOLEAN

	wafer_vendor_constraint_code: STRING

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and cust_acct_no = r.cust_acct_no
				and m_order_no = r.m_order_no
				and mask_site_no = r.mask_site_no
				and m_fab_no = r.m_fab_no
				and org_no = r.org_no
			Result := Result
				and equal (run_id, r.run_id)
				and equal (geometry_id, r.geometry_id)
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and ca_discount_fraction = r.ca_discount_fraction
				and div_no = r.div_no
				and document_access_grace_days = r.document_access_grace_days
				and ic_prep_fraction = r.ic_prep_fraction
				and is_trf_ok = r.is_trf_ok
				and payment_grace_days = r.payment_grace_days
				and redirected_cust_acct_no = r.redirected_cust_acct_no
				and terms_payment_days = r.terms_payment_days
				and watermark_documents = r.watermark_documents
				and ca_tax_rate = r.ca_tax_rate
				and cw_discount_fraction = r.cw_discount_fraction
				and has_bxa711 = r.has_bxa711
				and has_eccn = r.has_eccn
				and m_cust_quote_no = r.m_cust_quote_no
				and m_funding_alloc_no = r.m_funding_alloc_no
				and batch_job_no = r.batch_job_no
				and die_size_printed_x = r.die_size_printed_x
				and die_size_printed_y = r.die_size_printed_y
				and die_wafer_rotation = r.die_wafer_rotation
				and location_x = r.location_x
				and location_y = r.location_y
				and external_files = r.external_files
				and external_to_payload = r.external_to_payload
				and required = r.required
				and size_x = r.size_x
				and size_y = r.size_y
				and design_die_rotation = r.design_die_rotation
				and design_no = r.design_no
				and design_wafer_rotation_reqd = r.design_wafer_rotation_reqd
				and fill_allowed = r.fill_allowed
				and is_reworkable = r.is_reworkable
				and max_allowed_die_size_x = r.max_allowed_die_size_x
				and max_allowed_die_size_y = r.max_allowed_die_size_y
				and pending_for_run = r.pending_for_run
				and project_on_die = r.project_on_die
				and quantity_requested = r.quantity_requested
				and quantity_unpackaged_requested = r.quantity_unpackaged_requested
				and vendor = r.vendor
				and vendor_code_active = r.vendor_code_active
			Result := Result
				and equal (acct_pricing_class, r.acct_pricing_class)
				and equal (acct_sponsor_id, r.acct_sponsor_id)
				and equal (acct_sub_type, r.acct_sub_type)
				and equal (acct_type, r.acct_type)
				and equal (ca_comments, r.ca_comments)
				and equal (country, r.country)
				and equal (date_acct_created, r.date_acct_created)
				and equal (date_acct_delinquent, r.date_acct_delinquent)
				and equal (date_acct_expires, r.date_acct_expires)
				and equal (date_acct_on_hold, r.date_acct_on_hold)
				and equal (date_reactivated, r.date_reactivated)
				and equal (date_react_msg_sent, r.date_react_msg_sent)
				and equal (design_name, r.design_name)
				and equal (acknowledgement_comment, r.acknowledgement_comment)
				and equal (created_by, r.created_by)
				and equal (cust_wo_comment, r.cust_wo_comment)
				and equal (cust_wo_id, r.cust_wo_id)
				and equal (date_acknowledged, r.date_acknowledged)
				and equal (date_approved_for_export, r.date_approved_for_export)
				and equal (date_cust_wo, r.date_cust_wo)
				and equal (date_fax_recd, r.date_fax_recd)
				and equal (date_for_funding, r.date_for_funding)
				and equal (date_for_pricing, r.date_for_pricing)
				and equal (date_hardcopy_recd, r.date_hardcopy_recd)
				and equal (date_verbal_recd, r.date_verbal_recd)
				and equal (modified_by, r.modified_by)
				and equal (pricing_schedule, r.pricing_schedule)
				and equal (production_id, r.production_id)
				and equal (d_cats_status, r.d_cats_status)
				and equal (date_job_ended, r.date_job_ended)
				and equal (date_job_started, r.date_job_started)
				and equal (die_type, r.die_type)
				and equal (error_explanation, r.error_explanation)
				and equal (filler_name, r.filler_name)
				and equal (scribe_orientation, r.scribe_orientation)
				and equal (d_wafer_vendor_part_id, r.d_wafer_vendor_part_id)
				and equal (dl_cats_status, r.dl_cats_status)
				and equal (die_id, r.die_id)
				and equal (field_name, r.field_name)
				and equal (dl_wafer_vendor_part_id, r.dl_wafer_vendor_part_id)
				and equal (description, r.description)
				and equal (design_lambda_um_sss, r.design_lambda_um_sss)
				and equal (design_techn_id, r.design_techn_id)
				and equal (geometry_filename, r.geometry_filename)
				and equal (geometry_format, r.geometry_format)
				and equal (top_structure_name, r.top_structure_name)
				and equal (wafer_techn, r.wafer_techn)
				and equal (approved_funding_po_id, r.approved_funding_po_id)
				and equal (date_cust_report, r.date_cust_report)
				and equal (date_fab_requested, r.date_fab_requested)
				and equal (date_report_reminder_sent, r.date_report_reminder_sent)
				and equal (ic_fab_instance_type, r.ic_fab_instance_type)
				and equal (intended_disposition, r.intended_disposition)
				and equal (net_address, r.net_address)
				and equal (overhead_style, r.overhead_style)
				and equal (phone_number, r.phone_number)
				and equal (queue_failure_reason_id, r.queue_failure_reason_id)
				and equal (reason_status_requested, r.reason_status_requested)
				and equal (routing_label, r.routing_label)
				and equal (run_date_requested, r.run_date_requested)
				and equal (run_type_requested, r.run_type_requested)
				and equal (submitted_funding_po_id, r.submitted_funding_po_id)
				and equal (o_comments, r.o_comments)
				and equal (full_name, r.full_name)
				and equal (short_id, r.short_id)
				and equal (vendor_code, r.vendor_code)
				and equal (wafer_vendor_constraint_code, r.wafer_vendor_constraint_code)
		end

end
